%define name pyxmms
%define version 1.06
%define release 1mdk

Summary: Python bindings for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: pyxmms-1.06-gcc33.patch.bz2
License: GPL
Group: Development/Python
URL: http://www.via.ecp.fr/~flo/	
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
BuildRequires: libxmms-devel
Requires: xmms

%description
This is PyXMMS, a Python interface to XMMS (the X MultiMedia System), an audio
(and video) player running on Unix platforms.
 
PyXMMS is a set of Python bindings for all the xmms_remote_* functions
accessible through the libxmms library (which comes with XMMS), plus a few
useful higher-level functions.

%prep
%setup -q
%patch -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%_prefix --root=%buildroot -O2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS
%_libdir/python%pyver/site-packages/*xmms*

%changelog
* Sun Sep 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-1mdk
- initial package
